com::lomiri::location::connectivity::RadioCell::Umts Struct Reference

Models a UMTS radio cell. More...

`#include <radio_cell.h>`

Collaboration diagram for com::lomiri::location::connectivity::RadioCell::Umts:

## Public Types

typedef MobileCountryCode< 0, 999, std::numeric_limits< int >::max() > | MCC
typedef MobileNetworkCode< 0, 999, std::numeric_limits< int >::max() > | MNC
typedef LocationAreaCode< 0, 65535, std::numeric_limits< int >::max() > | LAC
typedef CellId< 0, 268435455, std::numeric_limits< int >::max() > | ID
typedef ArbitraryStrengthUnit< 0, 31, 99 > | SignalStrength

## Public Attributes

MCC | mobile_country_code
MNC | mobile_network_code
LAC | location_area_code
ID | id
SignalStrength | strength

## Detailed Description

Models a UMTS radio cell.

Definition at line 133 of file radio_cell.h.

## Member Typedef Documentation

## ID

typedef CellId< 0, 268435455, std::numeric_limits<int>::max() > com::lomiri::location::connectivity::RadioCell::Umts::ID

28-bit UMTS Cell Identity described in TS 25.331, 0..268435455, INT_MAX if unknown

Definition at line 162 of file radio_cell.h.

## LAC

typedef LocationAreaCode< 0, 65535, std::numeric_limits<int>::max() > com::lomiri::location::connectivity::RadioCell::Umts::LAC

16-bit Location Area Code, 0..65535, INT_MAX if unknown

Definition at line 155 of file radio_cell.h.

## MCC

typedef MobileCountryCode< 0, 999, std::numeric_limits<int>::max() > com::lomiri::location::connectivity::RadioCell::Umts::MCC

3-digit Mobile Country Code, 0..999, INT_MAX if unknown

Definition at line 141 of file radio_cell.h.

## MNC

typedef MobileNetworkCode< 0, 999, std::numeric_limits<int>::max() > com::lomiri::location::connectivity::RadioCell::Umts::MNC

2 or 3-digit Mobile Network Code, 0..999, INT_MAX if unknown

Definition at line 148 of file radio_cell.h.

## SignalStrength

typedef ArbitraryStrengthUnit< 0, 31, 99 > com::lomiri::location::connectivity::RadioCell::Umts::SignalStrength

Valid values are (0-31, 99) as defined in TS 27.007 8.5

Definition at line 169 of file radio_cell.h.

## Member Data Documentation

## id

ID com::lomiri::location::connectivity::RadioCell::Umts::id

Definition at line 174 of file radio_cell.h.

## location_area_code

LAC com::lomiri::location::connectivity::RadioCell::Umts::location_area_code

Definition at line 173 of file radio_cell.h.

## mobile_country_code

MCC com::lomiri::location::connectivity::RadioCell::Umts::mobile_country_code

Definition at line 171 of file radio_cell.h.

## mobile_network_code

MNC com::lomiri::location::connectivity::RadioCell::Umts::mobile_network_code

Definition at line 172 of file radio_cell.h.

## strength

SignalStrength com::lomiri::location::connectivity::RadioCell::Umts::strength

Definition at line 175 of file radio_cell.h.

The documentation for this struct was generated from the following file:

- radio_cell.h